Suporte » Ajustando o WordPress » Como instalar o módulo opcional imagick

  • Resolvido francamargo

    (@francamargo)


    Olá, meu site avisa que:

    Editor ativo WP_Image_Editor_GD
    Versão do ImageMagick (número) Indisponível
    Versão do ImageMagick (string) Indisponível
    Versão do GD bundled (2.1.0 compatible)
    Versão do Ghostscript 8.70

    O módulo opcional imagick, não está instalado ou foi desativado.
    Como faço para instalar? Meu provedor é o HostGator, tenho o FilleZila instalado, meu tema é o Centive Avante
    Sou bem leiga, já procurei por tudo como instala e não consegui resolver.

    Aparece também no diagnóstico:
    Sua versão do PHP deve ser atualizada.
    Já olhei o cPanel do HostGator, lá informa que PHP é 7,1, não pode ser maior que isso,
    Não tenho como aumentar

    Muito Obrigada desde já
    Fran

Visualizando 2 respostas - 1 até 2 (de um total de 2)
  • saudações francamargo,

    sobre a questão que apontou que

    O módulo opcional imagick, não está instalado ou foi desativado

    esse é um módulo PHP, você não pode instalar, precisa acionar a Hostgator para isso. e conforme a documentação do Hostgator, o módulo imagick faz parte dos módulos do PHP já instalados no servidor,

    https://suporte.hostgator.com.br/hc/pt-br/articles/115000391513-M%C3%B3dulos-PHP

    (linha 14 da coluna da esquerda)

    é um módulo interessante para imagens. se pode ter ótimo. mas como informado pelo Diagnóstico, é um módulo OPCIONAL, ter é ótimo, não ter não causa problemas.

    sobre a versão do PHP, quanto maior a versão, há um ganho de performance e segurança. mas a versão 7.1 está dentro do parâmetros aceitos pelo WordPress. mesma questão do módulo: se pudesse ser 7.3, ótimo, se não pode, o WordPress roda no PHP 7.1.

    espero ter ajudado. quando sentir que a questão está resolvida, seria ótimo se pudesse marcar o tópico como resolvido.

    espero que tenha uma ótima experiência com seu WordPress.

    Olá Ralden Souza

    Entrei em contato com a Hostgator. Eles atualizaram a versão do PHP para 7.1, estava em
    5.6, e também resolveram o erro módulo imagick.

    Muito obrigada por suas informações, explicou de forma muito clara!
    Grata
    Fran

Visualizando 2 respostas - 1 até 2 (de um total de 2)
  • Você deve estar conectado para responder a este tópico.